%global enable_tests 1
%global srcname istanbul

Name:           nodejs-%{srcname}
Version:        0.3.17
Release:        3%{?dist}
Summary:        A JS code coverage tool written in JS
License:        BSD
URL:            https://github.com/gotwarlost/istanbul
Source0:        http://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz
Source1:        nodejs-istanbul-tests-v0.3.17.tar.bz2
Source10:       nodejs-istanbul-dl-tests.sh

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(escodegen)
BuildRequires:  npm(fileset)
BuildRequires:  npm(handlebars)
BuildRequires:  npm(js-yaml)
BuildRequires:  npm(nodeunit)
BuildRequires:  npm(once)
BuildRequires:  npm(resolve)
BuildRequires:  npm(requirejs)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(supports-color)
BuildRequires:  npm(which)
%endif


%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
rm -rf node_modules/
%nodejs_fixdep async
%nodejs_fixdep escodegen
%nodejs_fixdep esprima
%nodejs_fixdep fileset
%nodejs_fixdep handlebars
%nodejs_fixdep js-yaml
%nodejs_fixdep mkdirp
%nodejs_fixdep nopt
%nodejs_fixdep resolve
%nodejs_fixdep supports-color


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js lib/  %{buildroot}%{nodejs_sitelib}/%{srcname}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{srcname}/lib/cli.js %{buildroot}%{_bindir}/istanbul-js

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
test/run.js
%endif


%files
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}
%{_bindir}/istanbul-js


%changelog
* Fri Jul 24 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.3.17-2
- Fixdep updated dependencies

* Sat Jul 18 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.3.17-1
- Update to upstream version 0.3.17

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Feb  3 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.3.5-1
- Update to upstream version 0.3.5

* Wed Dec 10 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.3.2-3
- Renamed binary name to prevent conflict
- Temporary disabled tests because of RHBZ#1172471

* Sat Dec  6 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.3.2-2
- Removed group tag
- Added rm -rf node_modules

* Fri Nov 21 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.3.2-1
- Initial package
